Package org.eclipse.lemminx.dom

## Class SchemaLocationHint

- java.lang.Object
- - org.eclipse.lemminx.dom.SchemaLocationHint

All Implemented Interfaces:
  `DOMRange`

    public class SchemaLocationHint
    extends Object
    implements DOMRange

Represents one of the location hints provided in an xsi:schemaLocation attribute.

### Constructor Summary

Constructors
`SchemaLocationHint​(int start, int end, String hint, SchemaLocation parent)` Create a new SchemaLocationHint object that represents one of the location hints given in the parent `SchemaLocation`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEnd()` Returns the offset from the beginning of the document where this location hint ends
`String` `getHint()` Returns the location hint that this SchemaLocationHint represents
`DOMDocument` `getOwnerDocument()` Returns the owner document.
`int` `getStart()` Returns the offset from the beginning of the document where this location hint starts

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaLocationHint

    public SchemaLocationHint​(int start,
                              int end,
                              String hint,
                              SchemaLocation parent)

Create a new SchemaLocationHint object that represents one of the location hints given in the parent `SchemaLocation`.

Parameters:
  `start` - The offset from the beginning of the document where this location hint starts
  `end` - The offset from the beginning of the document where this location hint ends
  `hint` - The hint to the location of a schema (A URI that points to a schema)
  `parent` - The `SchemaLocation` in which this hint was given

### Method Detail

#### getHint

    public String getHint()

Returns the location hint that this SchemaLocationHint represents

Returns:
  The location hint, a URI to a schema, as a String

#### getStart

    public int getStart()

Returns the offset from the beginning of the document where this location hint starts

Specified by:
  `getStart` in interface `DOMRange`
Returns:
  The offset from the beginning of the document where this location hint starts

#### getEnd

    public int getEnd()

Returns the offset from the beginning of the document where this location hint ends

Specified by:
  `getEnd` in interface `DOMRange`
Returns:
  The offset from the beginning of the document where this location hint ends

#### getOwnerDocument

    public DOMDocument getOwnerDocument()

Description copied from interface: `DOMRange`
Returns the owner document.

Specified by:
  `getOwnerDocument` in interface `DOMRange`
Returns:
  the owner document.